/**
 * JS Document.
 * @author Sandro Jordăo.
 */

function msn()
{
	if($('#procurarGrupo').val() == '')
	{
		$('#procurarGrupo').val('Pesquisar grupos...');
		$('#procurarGrupo').removeClass('inputProcurarOff').addClass('inputProcurarOn');
	}
	
	if($('#procurarUsuario').val() == '')
	{
		$('#procurarUsuario').val('Pesquisar usuários...');
		$('#procurarUsuario').removeClass('inputProcurarOff').addClass('inputProcurarOn');
	}
}

function limpar()
{
	if($('#procurarGrupo').val() == 'Pesquisar grupos...')
	{
		$('#procurarGrupo').val('');
		$('#procurarGrupo').removeClass('inputProcurarOn').addClass('inputProcurarOff');
	}
	
	if($('#procurarUsuario').val() == 'Pesquisar usuários...')
	{
		$('#procurarUsuario').val('');
		$('#procurarUsuario').removeClass('inputProcurarOn').addClass('inputProcurarOff');
	}
}

function procurarGrupo()
{
	var valor = $.trim($("#procurarGrupo").val());
	
	if(valor == 'Pesquisar grupos...') valor = '';
	
	if(valor.length > 2 || valor == '')
	{
		$("#btn_procurar").hide();
		$("#loadingModal").show();

		$.post(basepath + "cadastros/procurarGrupos", {
			valor : valor
		}, function(data) {
			$(".modalList").html(data);
			$(".groups").each(function(){ $("#group" + this.id).parent().parent().remove(); });
			$("#loadingModal").hide();
			$("#btn_procurar").show();
		});
	}
}

function procurarUsuario()
{
	var valor = $.trim($("#procurarUsuario").val());
	
	if(valor == 'Pesquisar usuários...') valor = '';
	
	if(valor.length > 2 || valor == '')
	{
		$("#btn_procurar").hide();
		$("#loadingModal").show();

		$.post(basepath + "cadastros/procurarUsuarios", {
			valor : valor
		}, function(data) {
			$(".modalList").html(data);
			$(".users").each(function(){ $("#user_" + this.id).parent().parent().remove(); });
			$("#loadingModal").hide();
			$("#btn_procurar").show();
		});
	}
}

function checkUsers()
{
	var uChecked = $("#user_all").is(':checked');
	$(".usersCheckbox").attr('checked', uChecked);
}

function checkGroups()
{
	var uChecked = $("#group_all").is(':checked');
	$(".groupsCheckbox").attr('checked', uChecked);
}

function adicionarGrupo()
{
	verificarLogado();
	
	$.post(basepath + "cadastros/adicionarGrupo", { }, function(data){
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'top' : '50%','left' : '50%','width' : '500px','height' : '350px','margin-left' : '-250px','margin-top' : '-260px'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '225px','margin-top' : '-180px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-45px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_ok.png" onClick="adicionarGrupos()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '300px','margin-top' : '-45px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('slow', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
			
			$(".groups").each(function(){ $("#group" + this.id).parent().parent().remove(); });
			
			$('#procurarGrupo').keyup(procurarGrupo);
		});
		
		return false;
	});
}

function adicionarGrupos()
{
	var groups = new Array();
	var count = 0;
	
	$(".groupsCheckbox:checked").each(function(){
		groups.push($(this).val());
		count++;
	});
	
	$(".groups").each(function(){
		groups.push($(this).val());
		count++;
	});

	if(count > 0)
	{
		$.post(basepath + "cadastros/montarHtmlGrupos", {
			"grupos[]" : groups
		}, function(data) {
			$(".groupsList").html(data);
			$(".groups").click(desabilitaRemoverGroup);
			fechar();
		});
	}
	else
		fechar();
}

function adicionarUsuario()
{
	verificarLogado();
	
	$.post(basepath + "cadastros/adicionarUsuario", { }, function(data) {
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'top' : '50%','left' : '50%','width' : '500px','height' : '350px','margin-left' : '-250px','margin-top' : '-260px'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '225px','margin-top' : '-180px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-45px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_ok.png" onClick="adicionarUsuarios()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '300px','margin-top' : '-45px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('slow', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
			
			$(".users").each(function(){ $("#user_" + this.id).parent().parent().remove(); });
			
			$('#procurarUsuario').keyup(procurarUsuario);
		});
		
		return false;
	});
}

function adicionarUsuarios()
{
	var users = new Array();
	var count = 0;
	
	$(".usersCheckbox:checked").each(function(){
		users.push($(this).val());
		count++;
	});
	
	$(".users").each(function(){
		users.push($(this).val());
		count++;
	});

	if(count > 0)
	{
		$.post(basepath + "cadastros/montarHtmlUsuarios", {
			"usuarios[]" : users
		}, function(data) {
			$(".usersList").html(data);
			$(".users").click(desabilitaRemoverUser);
			fechar();
		});
	}
	else
		fechar();
}

function fechar() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function removerGrupo()
{
    $(".groups:checked").each(function() {
        $(this).parent().parent().remove();
    });

    desabilitaRemoverGroup();
}

function removerUsuario()
{
	$(".users:checked").each(function() {
		$(this).parent().parent().remove();
	});
	
	desabilitaRemoverUser();
}

function desabilitaRemoverUser()
{
	var count = 0;
	$(".users:checked").each(function(){ count++; });
	if(count == 0) 
		$("#btnRemoverUser").attr("disabled", true); 
	else
		$("#btnRemoverUser").removeAttr("disabled");
}

function desabilitaRemoverGroup()
{
	var count = 0;
	$(".groups:checked").each(function(){ count++; });
	if(count == 0) 
		$("#btnRemoverGroup").attr("disabled", true); 
	else
		$("#btnRemoverGroup").removeAttr("disabled");
}

function trocarAbaPermissao()
{
	var aba = this.id;
	
	tabsPermissao.removeClass('inDetail');
	$(tabsPermissao[aba]).addClass('inDetail');
		
	divsPermissao.hide();
	$(divsPermissao[aba]).fadeIn('slow');
}

function init()
{
	pageWidth = $(document).width();
	pageHeight = $(document).height();
	
	tabsPermissao = $(".tabsPermissao").children('ul').children();
	divsPermissao = $(".tabsPermissao").children('div');
	$(".abaTrocarPermissao").click(trocarAbaPermissao);
	 
	$(".users").click(desabilitaRemoverUser);
	$(".groups").click(desabilitaRemoverGroup);
}

$(document).ready(init);